KDE 4.9 PyKDE API Reference

- KDE's Python API

# ReverseGeocodingRunner Class Reference

`from PyKDE4.marble import *`

Inherits: QObject
Namespace: Marble

## Detailed Description

## Signals
| reverseGeocodingFinished (Marble.GeoDataCoordinates coordinates, Marble.GeoDataPlacemark placemark)
## Methods
| __init__ (self, QObject parent)
Marble.MarbleModel | model (self)
| reverseGeocoding (self, Marble.GeoDataCoordinates coordinates)
| setModel (self, Marble.MarbleModel model)

## Signal Documentation

reverseGeocodingFinished | ( | Marble.GeoDataCoordinates | coordinates,
|  | Marble.GeoDataPlacemark | placemark
| ) |  |  |

Reverse geocoding is finished, result in the given placemark. To be emitted by runners after a

See also:
  reverseGeocoding call.

Signal syntax:
  `QObject.connect(source, SIGNAL("reverseGeocodingFinished(const Marble::GeoDataCoordinates&, const Marble::GeoDataPlacemark&)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent
| ) |  |  |

Marble.MarbleModel model | ( |  | self ) |

Access to the currently used model, or null if no was set with

See also:
  setModel

reverseGeocoding | ( | self, |
|  | Marble.GeoDataCoordinates | coordinates
| ) |  |  |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Start a reverse geocoding request. Called by MarbleRunnerManager, runners are expected to return the result via the reverseGeocodingFinished signal. If implemented in a plugin, make sure to include ReverseGeocoding in the plugin capabilities, otherwise MarbleRunnerManager will ignore the plugin

setModel | ( | self, |
|  | Marble.MarbleModel | model
| ) |  |  |

Stores a pointer to the currently used model